Page MenuHome

Mantaflow: Flame not working correctly when animating a Fuel value.
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 1070 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 442.19

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f

Short description of error
If an object of type Flow animates the value Fuel, then the flame behaves incorrectly. When the Fuel value reaches zero.
In the first example, the flame immediately disappears. Although, logically, the fuel supply simply stopped and there would be no new flame. Only old fuel will burn out.



In the second example, the flame exists for some time, but it behaves incorrectly.

Event Timeline

Richard Antalik (ISS) changed the task status from Needs Triage to Needs Information from User.Feb 21 2020, 4:09 PM

@Yuriy (Faraday) Is it possible, that your second file is not, what you intended to upload?

So if I understand you, file test_smoke_mantaflow.blend is working as it should. is that correct?

Also we would appreciate if this could be reproduced in file that is baked in seconds rather than minutes.

In the file test_smoke_mantaflow.blend, the fire does not work correctly.

This is a light version in which smoke and flame bake quickly.
When the Fuel value reaches zero, the fire instantly disappears.
File 2.82.blend loaded correct. The result of baking as on a gif animation.

Render results. File test_smoke_mantaflow.blend.
It can be seen that the fuel does not burn out. The fire disappears in one frame.

Also, if you pay attention, at the end of the video you can notice how the smoke is shifted jerky. I recorded a video in which you can notice a jerk when I switch between 182 and 183 frames. After frame 183, the jerk is repeated several more times. On the 188 frame smoke artifacts are visible. Perhaps this is the result of the adaptive domain. Shaders are not animated. The camera is not shaking. In the recorded video, you can see the animation curves of the camera. Perhaps this problem should be moved to a separate Task. I have not tried to reproduce the shake with poor quality smoke.
This is the latest version of my file.

Richard Antalik (ISS) changed the task status from Needs Information from User to Confirmed.Feb 24 2020, 12:32 PM

Setting Fuel value to 0.001 had desireable effect, so I guess this could be a bug.
I won't comment on second example, perhaps the problem has same roots, but it could be unrelated bug.

Please, always report only one bug so for glitching smoke please make new report.

Jacques Lucke (JacquesLucke) changed the subtype of this task from "Report" to "Bug".May 20 2020, 2:42 PM

This bug seems to be behaving a bit differently in 2.90.0 f319eec88186 . For one, the fire completely stops moving (but doesn't necessarily disappear) when Fuel is set to 0, while the rest of the smoke progresses at a normal speed.

I ran into another complication. It seems that, if I animate Fuel in a way that the last keyframe has a value of 0 (that is, the animation ends with Fuel at 0), the fire won't be visible at all in the entire animation. The smoke, however, will still be moving up much faster than before, as if the fire was still there.

Now, in this instance, the bug can be easily circumvented by animating Fuel to something like 0.00001, instead of 0, but I'm not sure if this bug has other side effects.

Sebastián Barschkis (sebbas) changed the task status from Confirmed to Needs Information from User.Aug 4 2020, 12:08 PM

@Yuriy (Faraday) and @Iago Diogo Vasconcelos Mota (IagoMota) Can you try out the latest version of master? I committed some fixes that I think have fixed the issue (the issues from the last 2 sample files seem to be resolved). Can you confirm this?

@Sebastián Barschkis (sebbas) Alright, I'm not encountering the issue anymore in 2.91.0 deb76548c108. Fuel seems to be animating properly now, at least for me.

Yes, now this bug is not reproducible in version 2.91. But reproduced in version 2.83.4. If the fuel value is animated, then there is no fire at all.
The first GIF animation is the Modular cache.


Second GIF animation - Replay cache

Ok good, closing this report then!

@Yuriy (Faraday) 2.83 could not get this fix as 2.90 has diverged too much from it already. That is, I would not have been able to apply this patch 1:1 onto 2.83. It can only be fixed directly in 2.83 - but our LTS rules do not allow such changes.